"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _keys = require("babel-runtime/core-js/object/keys");

var _keys2 = _interopRequireDefault(_keys);

var _regenerator = require("babel-runtime/regenerator");

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require("babel-runtime/helpers/asyncToGenerator");

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var entries = {};
var plugin = {
	init: function () {
		var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
			return _regenerator2.default.wrap(function _callee$(_context) {
				while (1) {
					switch (_context.prev = _context.next) {
						case 0:
							return _context.abrupt("return");

						case 1:
						case "end":
							return _context.stop();
					}
				}
			}, _callee, this);
		}));

		function init() {
			return _ref.apply(this, arguments);
		}

		return init;
	}(),
	getEntries: function () {
		var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2(_ref3) {
			var id = _ref3.id;
			return _regenerator2.default.wrap(function _callee2$(_context2) {
				while (1) {
					switch (_context2.prev = _context2.next) {
						case 0:
							if (entries[id]) {
								_context2.next = 4;
								break;
							}

							return _context2.abrupt("return", []);

						case 4:
							return _context2.abrupt("return", entries[id]);

						case 5:
						case "end":
							return _context2.stop();
					}
				}
			}, _callee2, this);
		}));

		function getEntries(_x) {
			return _ref2.apply(this, arguments);
		}

		return getEntries;
	}(),
	clear: function () {
		var _ref4 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee3(_ref5) {
			var id = _ref5.id;
			return _regenerator2.default.wrap(function _callee3$(_context3) {
				while (1) {
					switch (_context3.prev = _context3.next) {
						case 0:
							entries[id] = [];

						case 1:
						case "end":
							return _context3.stop();
					}
				}
			}, _callee3, this);
		}));

		function clear(_x2) {
			return _ref4.apply(this, arguments);
		}

		return clear;
	}(),
	getJournals: function () {
		var _ref6 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee4() {
			return _regenerator2.default.wrap(function _callee4$(_context4) {
				while (1) {
					switch (_context4.prev = _context4.next) {
						case 0:
							return _context4.abrupt("return", (0, _keys2.default)(entries));

						case 1:
						case "end":
							return _context4.stop();
					}
				}
			}, _callee4, this);
		}));

		function getJournals() {
			return _ref6.apply(this, arguments);
		}

		return getJournals;
	}(),
	append: function () {
		var _ref7 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee5(_ref8) {
			var entry = _ref8.entry,
			    id = _ref8.id;
			return _regenerator2.default.wrap(function _callee5$(_context5) {
				while (1) {
					switch (_context5.prev = _context5.next) {
						case 0:
							// console.log("journal:",id,entry);
							if (!entries[id]) entries[id] = [];
							entries[id].push(entry);

						case 2:
						case "end":
							return _context5.stop();
					}
				}
			}, _callee5, this);
		}));

		function append(_x3) {
			return _ref7.apply(this, arguments);
		}

		return append;
	}()
};

exports.default = plugin;