'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var initializeUtil = require('./pluggableUtils').default.initializeUtil;

var cache = initializeUtil('cache');
var murmur128 = require('murmur-128');
exports.default = {
    getOrInvoke: function () {
        var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(_ref2) {
            var key = _ref2.key,
                fn = _ref2.fn;
            var res;
            return _regenerator2.default.wrap(function _callee$(_context) {
                while (1) {
                    switch (_context.prev = _context.next) {
                        case 0:
                            key = (0, _stringify2.default)(key);
                            key = murmur128(key).toString('base64');
                            _context.next = 4;
                            return cache.getData({ key: key });

                        case 4:
                            res = _context.sent;

                            if (!res) {
                                _context.next = 7;
                                break;
                            }

                            return _context.abrupt('return', res);

                        case 7:
                            _context.next = 9;
                            return fn();

                        case 9:
                            res = _context.sent;

                            if (res) {
                                cache.setData({ entry: res, key: key });
                            }
                            return _context.abrupt('return', res);

                        case 12:
                        case 'end':
                            return _context.stop();
                    }
                }
            }, _callee, undefined);
        }));

        return function getOrInvoke(_x) {
            return _ref.apply(this, arguments);
        };
    }()
};