"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.WorkflowDecisionMultipleDecisions = exports.WorkflowDecisionContinueAsNew = exports.WorkflowTimerDecision = exports.WorkflowNoDecision = exports.WorkflowDecisionScheduleActivity = exports.WorkflowDecisionScheduleWorkflow = exports.WorkflowDecision = undefined;

var _getPrototypeOf = require("babel-runtime/core-js/object/get-prototype-of");

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var WorkflowSignal = function WorkflowSignal() {
	(0, _classCallCheck3.default)(this, WorkflowSignal);
};

;

var WorkflowDecision = function (_WorkflowSignal) {
	(0, _inherits3.default)(WorkflowDecision, _WorkflowSignal);

	function WorkflowDecision() {
		(0, _classCallCheck3.default)(this, WorkflowDecision);
		return (0, _possibleConstructorReturn3.default)(this, (WorkflowDecision.__proto__ || (0, _getPrototypeOf2.default)(WorkflowDecision)).apply(this, arguments));
	}

	return WorkflowDecision;
}(WorkflowSignal);

var WorkflowNoDecision = function (_WorkflowDecision) {
	(0, _inherits3.default)(WorkflowNoDecision, _WorkflowDecision);

	function WorkflowNoDecision() {
		(0, _classCallCheck3.default)(this, WorkflowNoDecision);
		return (0, _possibleConstructorReturn3.default)(this, (WorkflowNoDecision.__proto__ || (0, _getPrototypeOf2.default)(WorkflowNoDecision)).apply(this, arguments));
	}

	return WorkflowNoDecision;
}(WorkflowDecision);

var WorkflowTimerDecision = function (_WorkflowDecision2) {
	(0, _inherits3.default)(WorkflowTimerDecision, _WorkflowDecision2);

	function WorkflowTimerDecision(duration, timerId) {
		(0, _classCallCheck3.default)(this, WorkflowTimerDecision);

		var _this3 = (0, _possibleConstructorReturn3.default)(this, (WorkflowTimerDecision.__proto__ || (0, _getPrototypeOf2.default)(WorkflowTimerDecision)).call(this));

		_this3.duration = duration;
		_this3.timerId = timerId;

		return _this3;
	}

	return WorkflowTimerDecision;
}(WorkflowDecision);

var WorkflowDecisionMultipleDecisions = function (_WorkflowDecision3) {
	(0, _inherits3.default)(WorkflowDecisionMultipleDecisions, _WorkflowDecision3);

	function WorkflowDecisionMultipleDecisions(decisions) {
		(0, _classCallCheck3.default)(this, WorkflowDecisionMultipleDecisions);

		var _this4 = (0, _possibleConstructorReturn3.default)(this, (WorkflowDecisionMultipleDecisions.__proto__ || (0, _getPrototypeOf2.default)(WorkflowDecisionMultipleDecisions)).call(this));

		_this4.decisions = decisions;
		return _this4;
	}

	return WorkflowDecisionMultipleDecisions;
}(WorkflowDecision);

var WorkflowDecisionScheduleActivity = function (_WorkflowDecision4) {
	(0, _inherits3.default)(WorkflowDecisionScheduleActivity, _WorkflowDecision4);

	function WorkflowDecisionScheduleActivity(dispatchId, name, args) {
		(0, _classCallCheck3.default)(this, WorkflowDecisionScheduleActivity);

		var _this5 = (0, _possibleConstructorReturn3.default)(this, (WorkflowDecisionScheduleActivity.__proto__ || (0, _getPrototypeOf2.default)(WorkflowDecisionScheduleActivity)).call(this));

		_this5.args = args;
		_this5.dispatchId = dispatchId;
		_this5.name = name;

		return _this5;
	}

	return WorkflowDecisionScheduleActivity;
}(WorkflowDecision);

var WorkflowDecisionScheduleWorkflow = function (_WorkflowDecision5) {
	(0, _inherits3.default)(WorkflowDecisionScheduleWorkflow, _WorkflowDecision5);

	function WorkflowDecisionScheduleWorkflow(dispatchId, name, args, className) {
		(0, _classCallCheck3.default)(this, WorkflowDecisionScheduleWorkflow);

		var _this6 = (0, _possibleConstructorReturn3.default)(this, (WorkflowDecisionScheduleWorkflow.__proto__ || (0, _getPrototypeOf2.default)(WorkflowDecisionScheduleWorkflow)).call(this));

		_this6.args = args;
		_this6.dispatchId = dispatchId;
		_this6.name = name;
		_this6.class = className;
		return _this6;
	}

	return WorkflowDecisionScheduleWorkflow;
}(WorkflowDecision);

var WorkflowDecisionActivityTimeout = function (_WorkflowDecision6) {
	(0, _inherits3.default)(WorkflowDecisionActivityTimeout, _WorkflowDecision6);

	function WorkflowDecisionActivityTimeout(type) {
		(0, _classCallCheck3.default)(this, WorkflowDecisionActivityTimeout);

		var _this7 = (0, _possibleConstructorReturn3.default)(this, (WorkflowDecisionActivityTimeout.__proto__ || (0, _getPrototypeOf2.default)(WorkflowDecisionActivityTimeout)).call(this));

		_this7.type = type;
		return _this7;
	}

	return WorkflowDecisionActivityTimeout;
}(WorkflowDecision);

var WorkflowDecisionWorkflowTimeout = function (_WorkflowDecision7) {
	(0, _inherits3.default)(WorkflowDecisionWorkflowTimeout, _WorkflowDecision7);

	function WorkflowDecisionWorkflowTimeout(type) {
		(0, _classCallCheck3.default)(this, WorkflowDecisionWorkflowTimeout);

		var _this8 = (0, _possibleConstructorReturn3.default)(this, (WorkflowDecisionWorkflowTimeout.__proto__ || (0, _getPrototypeOf2.default)(WorkflowDecisionWorkflowTimeout)).call(this));

		_this8.type = type;
		return _this8;
	}

	return WorkflowDecisionWorkflowTimeout;
}(WorkflowDecision);

var WorkflowDecisionContinueAsNew = function (_WorkflowDecision8) {
	(0, _inherits3.default)(WorkflowDecisionContinueAsNew, _WorkflowDecision8);

	function WorkflowDecisionContinueAsNew(args) {
		(0, _classCallCheck3.default)(this, WorkflowDecisionContinueAsNew);

		var _this9 = (0, _possibleConstructorReturn3.default)(this, (WorkflowDecisionContinueAsNew.__proto__ || (0, _getPrototypeOf2.default)(WorkflowDecisionContinueAsNew)).call(this));

		_this9.args = args;
		return _this9;
	}

	return WorkflowDecisionContinueAsNew;
}(WorkflowDecision);

exports.WorkflowDecision = WorkflowDecision;
exports.WorkflowDecisionScheduleWorkflow = WorkflowDecisionScheduleWorkflow;
exports.WorkflowDecisionScheduleActivity = WorkflowDecisionScheduleActivity;
exports.WorkflowNoDecision = WorkflowNoDecision;
exports.WorkflowTimerDecision = WorkflowTimerDecision;
exports.WorkflowDecisionContinueAsNew = WorkflowDecisionContinueAsNew;
exports.WorkflowDecisionMultipleDecisions = WorkflowDecisionMultipleDecisions;